Developers
API ReferenceProject Category

Replaces the ProjectCategory resource

PUT
/project/project-categories/{id}

Replaces the ProjectCategory resource

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

ProjectCategory identifier

Request Body

The updated ProjectCategory resource

  1. body
name*string
Lengthlength <= 50

Response Body

ProjectCategory resource updated

  1. response
id?string
Formatuuid
name?string
Lengthlength <= 50
Example Request
curl -X PUT 'https://app.icproject.com/api/instance/demo/project/project-categories/string' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string"}